<?php
if ( class_exists( 'WooCommerce' ) ) {
add_action( 'woocommerce_before_main_content', 'wpctp_woocommerce_before_main_content_wrap_open', 5, 1 );
function wpctp_woocommerce_before_main_content_wrap_open(){
	echo '<div class="wrap">';
}
add_action( 'woocommerce_after_main_content', 'wpctp_woocommerce_after_main_content_close', 15, 1 );
function wpctp_woocommerce_after_main_content_close(){
	echo '</div>';
}
add_filter( 'woocommerce_show_page_title', 'wpctp_woocommerce_show_page_title', 10, 3 );
function wpctp_woocommerce_show_page_title(){
	if( is_shop() && is_archive() ){
		return false;
	}
	return true;
}
}